function mesh_function_plot(g, mesh, edgecol)
    patch('Faces', mesh.F.', 'Vertices', [mesh.P.', g], ...
          'FaceVertexCData', g,'FaceColor', 'interp',...
          'EdgeColor', edgecol);

    axis 'equal';
    x1m = min(mesh.P(1, :));
    x1M = max(mesh.P(1, :));
    x2m = min(mesh.P(2, :));
    x2M = max(mesh.P(2, :));
    pad = .05*max(x1M- x1m, x2M- x2m);
    xlim([x1m-pad, x1M+pad]);
    ylim([x2m-pad, x2M+pad]);
end