function [u, iter] = solve_poisson_problem(fh, mesh, eps_tol)
    [M, A] = assemble_mass_and_stiffness(mesh);
    b = M*fh;
    u = zeros(size(fh));
    idxs = mesh.B ~= 0;
    %u(idxs) = A(idxs, idxs)\b(idxs);
    [u(idxs), iter] = cg_solver(A(idxs, idxs), b(idxs), eps_tol);
end